Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.providers
Class ProviderNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.acegisecurity.AcegiSecurityException
                          org.acegisecurity.AuthenticationException
                              org.acegisecurity.providers.ProviderNotFoundException

All Implemented Interfaces:
  Serializable

    public class ProviderNotFoundException

extends AuthenticationException

Thrown by `ProviderManager` if no `AuthenticationProvider` could be found that supports the presented `Authentication` object.

Version:
  $Id: ProviderNotFoundException.java,v 1.3 2005/11/17 00:55:49 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Constructor Summary
`ProviderNotFoundException(String msg)` Constructs a `ProviderNotFoundException` with the specified message.
`ProviderNotFoundException(String msg, Throwable t)` Constructs a `ProviderNotFoundException` with the specified message and root cause.

Method Summary

Methods inherited from class org.acegisecurity.AuthenticationException
`getAuthentication`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getCause, getMessage, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProviderNotFoundException

    public ProviderNotFoundException(String msg)

  Constructs a `ProviderNotFoundException` with the specified message.

  Parameters:
    `msg` - the detail message

### ProviderNotFoundException

    public ProviderNotFoundException(String msg,
                                     Throwable t)

  Constructs a `ProviderNotFoundException` with the specified message and root cause.

  Parameters:
    `msg` - the detail message
    `t` - root cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.